Bug 76538 - RFE: option to add languages, more fine-grained locale selection
RFE: option to add languages, more fine-grained locale selection
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-22 20:08 EDT by Michel Alexandre Salim
Modified: 2007-04-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-07 17:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2002-10-22 20:08:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021021

Description of problem:
It should be possible to add languages to the existing languages chosen during
installation, and for users to mix-and-match locale settings (i.e.
LANG=fr_FR.UTF8, but with UK measurements).

Something like Windows or MacOS' internationalization control panel, really - if
the user adds a new language, the fonts, locale packages and any required input
servers get installed.

Should be tied in with redhat-config-packages as well

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run redhat-config-language

Actual Results:  No option to add language or to finely select locale

Expected Results:  Can add/remove languages and mix locales

Additional info:
Comment 1 Brent Fox 2002-10-23 09:52:03 EDT
Adding language modules is currently very difficult to do.  This is because the
translations for each package are contained inside the RPMs for those packages,
so to add a language to a system would require pulling the translations out of
each RPM.  Basically, the question is how to install parts of an RPM that is
already installed on the system

This really seems more of an RPM issue to me, so I'm changing the component to
RPM to see what jbj says about it.
Comment 2 Paul Nasrat 2005-06-07 17:25:20 EDT
Language selection in anaconda has recently changed.  You can install language
groups using yum groupinstall post install.  Please test FC4 language selection
and customisation using /etc/sysconfig/i18n

Note You need to log in before you can comment on or make changes to this bug.